## ucs-test-ucsschool 8.0.41

=== debian/changelog ===
ucs-test-ucsschool (8.0.41) unstable; urgency=medium

  * test: add missing executable bit to tests
    Bug #58518

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 12 Sep 2025 09:58:03 +0200

ucs-test-ucsschool (8.0.40) unstable; urgency=medium

  * test: fix 31_create_demoportal.py
    Issue univention/dev/internal/product-tests/ucsschool#2

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 01 Sep 2025 16:06:55 +0200

ucs-test-ucsschool (8.0.39) unstable; urgency=medium

  * test: new 261_import_user_check_count_exception.py
  Issue univention/dev/education/ucsschool#1457

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 28 Aug 2025 21:39:54 +0200

ucs-test-ucsschool (8.0.38) unstable; urgency=low

  * test: fix 14_http_proxy_basic_auth_check
    - google.de redirects to google.com which broke this test
    - in the non-happy-path result[0] throws an IndexError
    Issue univention/dev/internal/product-tests/ucsschool#2

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 28 Aug 2025 17:54:48 +0200

ucs-test-ucsschool (8.0.37) unstable; urgency=low

  * test: improved 105_activate_groupmembers.py - check for UDM status and
    deal with changing data due to e.g. S4 connector
    Issue univention/dev/internal/product-tests/ucsschool#2

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 28 Aug 2025 17:16:56 +0200

ucs-test-ucsschool (8.0.36) unstable; urgency=medium

  * test: fix 30_import-create_ou…
    Issue univention/dev/internal/product-tests/ucsschool#2

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 28 Aug 2025 13:44:05 +0200

ucs-test-ucsschool (8.0.35) unstable; urgency=low

  * test: fix 407_ucsschool_lib_validation_users.py
    Issue univention/dev/education/ucsschool#1476

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 28 Aug 2025 11:11:32 +0200

ucs-test-ucsschool (8.0.34) unstable; urgency=medium

  * test: fix 229_import-users_blank_email.py
    Issue univention/dev/internal/product-tests/ucsschool#2

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 28 Aug 2025 10:55:26 +0200

ucs-test-ucsschool (8.0.33) unstable; urgency=low

  * test: add new legal_wards and legal_guardians attributes to test
    framework

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 27 Aug 2025 14:46:15 +0200

ucs-test-ucsschool (8.0.32) unstable; urgency=medium

  * test: adjust import test to check that legal guardians are kept
    Issue univention/dev/education/ucsschool#1457

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 27 Aug 2025 14:13:39 +0200

ucs-test-ucsschool (8.0.31) unstable; urgency=low

  * feat: update legal guardian tests after improving ext attr hooks and
    switching to the memberOf overlay module
    Issue univention/dev/education/ucsschool#1476

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 21 Aug 2025 16:02:55 +0200

ucs-test-ucsschool (8.0.30) unstable; urgency=medium

  *  test: add playwright for legal guardian
     Issue univention/dev/education/ucsschool#1475

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 18 Aug 2025 13:31:21 +0200

ucs-test-ucsschool (8.0.29) unstable; urgency=low

  * feat: update HTTP-API tests for new legal guardians
    Issue univention/dev/education/ucsschool#1458

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Fri, 01 Aug 2025 15:36:36 +0200

ucs-test-ucsschool (8.0.28) unstable; urgency=medium

  * feat: add ImportLegalGuardian class
    Issue univention/dev/education/ucsschool#1457

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 15 Jul 2025 13:49:02 +0200

ucs-test-ucsschool (8.0.27) unstable; urgency=medium

  * Issue univention/dev/education/ucsschool#1454: Add test for legal guardian
    attribute and legal guardian role

 -- Johannes Königer <koeniger@univention.de>  Mon, 14 Jul 2025 08:42:27 +0200

ucs-test-ucsschool (8.0.26) unstable; urgency=medium

  * Tests for new role legal guardian
    Issue univention/dev/education/ucsschool#1456

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 09 Jul 2025 20:46:58 +0200

ucs-test-ucsschool (8.0.25) unstable; urgency=medium

  * Bug #58432: fix wrong use of uldap.access

 -- Florian Best <best@univention.de>  Wed, 09 Jul 2025 10:06:05 +0200

ucs-test-ucsschool (8.0.24) unstable; urgency=medium

  * Bug #58432: fix wrong use of uldap.access

 -- Florian Best <best@univention.de>  Thu, 03 Jul 2025 10:09:04 +0200

ucs-test-ucsschool (8.0.23) unstable; urgency=medium

  * Issue univention/ucsschool#293: Add test for UCS@school import job cleanup
    (see UCR-V ucsschool/import/http_api/import_jobs_to_keep)

 -- Johannes Königer <koeniger@univention.de>  Wed, 18 Jun 2025 08:13:27 +0200

ucs-test-ucsschool (8.0.22) unstable; urgency=medium

  * Bug #58382: exam-master now creates new/unique values for
    univentionObjectIdentifier for exam users

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 11 Jun 2025 16:49:27 +0200

ucs-test-ucsschool (8.0.21) unstable; urgency=medium

  * univention/ucsschool#1408: Add test for checking exam user spool directory permissions

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 24 Apr 2025 16:58:39 +0200

ucs-test-ucsschool (8.0.20) unstable; urgency=medium

  * Issue univention/dev/education/id-broker/keycloak-id-broker#1: fix for
    peotry2

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 23 Apr 2025 12:55:08 +0200

ucs-test-ucsschool (8.0.19) unstable; urgency=medium

  * Issue univention/ucsschool#1394: fix test for multiple exams on multi
    server

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 02 Apr 2025 15:00:20 +0200

ucs-test-ucsschool (8.0.18) unstable; urgency=medium

  * Issue univention/ucsschool#1361: fix off by one error

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 27 Mar 2025 11:25:32 +0100

ucs-test-ucsschool (8.0.17) unstable; urgency=low

  * Issue univention/ucsschool#1394: Add tests for multiple exams

 -- Ole Schwiegert <schwiegert@univention.de>  Thu, 20 Mar 2025 09:02:00 +0100


