=== debian/control ===
Source: ucs-test-ucsschool
Section: tools
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 ucslint,
Standards-Version: 3.6.1

Package: ucs-test-ucsschool
Architecture: all
Breaks:
 ucs-school-import (<< 17.0.63),
 ucs-school-lib (<< 12.2.28),
Depends:
 eapol,
 python3-attr,
 python3-mock,
 python3-passlib,
 python3-pycurl,
 python3-pytest,
 python3-requests,
 python3-ucsschool-lib,
 ucs-test-framework (>= 9.0.7-59),
 ucs-test-ldap,
 ucs-test-libs,
 ucs-test-selenium-runner,
 univention-unittests,
 python3-pytest-xvfb,
 python3-pytest-playwright,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ucs-test-module,
 ${python3:Provides},
Description: Additional UCS@school tests for ucs-test
 This package includes some UCS@school related tests for ucs-test.

Package: ucs-test-ucsschool-veyon
Architecture: all
Depends:
 ucs-test-ucsschool (= ${source:Version}),
 python3-molotov
Provides:
 ucs-test-module,
Description: Additional UCS@school tests for ucs-test
 This package includes some veyon related tests for ucs-test.

Package: ucs-test-ucsschool-ram-performance
Architecture: all
Depends:
 ucs-test-ucsschool (= ${source:Version}),
 python3-venv,
 libffi-dev
Provides:
 ucs-test-module
Description: Additional UCS@school tests for ucs-test
 This package provides performance tests for the RAM applications.
